#!/bin/bash

#
# This script will generate bash documentation (for as far as it has been made
# available in the code) from all Source Mage libs and commands.
#
DOCDIR=/usr/doc/sourcemage-docs
BASHDOC=/usr/bin/bashdoc.sh
PROJECT=SourceMageDocs

SCRIPTS="/var/lib/sorcery/modules/lib* /var/lib/sorcery/modules/url_handlers/url_* /usr/sbin/cast /usr/sbin/sorcery /usr/sbin/dispel /usr/sbin/gaze /usr/sbin/invoke /usr/sbin/scribbler /usr/sbin/scribe /usr/sbin/summon /usr/sbin/vcast /usr/sbin/xsorcery"

# make the bashdoc dir
if [ -d $DOCDIR ] ; then
	rm -rf $DOCDIR
	mkdir -p $DOCDIR
else
	mkdir -p $DOCDIR
fi

# generate docs for libs
if [  -x  "$BASHDOC"  ] ; then
	$BASHDOC -p $PROJECT -o $DOCDIR $SCRIPTS
else
	echo "The bashdoc tools are not installed, please cast bashdoc!"
fi

src2html.sh --funcs $DOCDIR $SCRIPTS
flow.sh	--funcs $DOCDIR --exclude debug --exclude message \
	--exclude query $SCRIPTS

# end
